%default QUARK 'quark.jar';

REGISTER $QUARK;

gas = LOAD '/dataset/dbtest128g/gas/dbtest128g.00024.gas.bin' USING quark.pig.BinCosmoLoad('gas');

gas = FOREACH gas GENERATE $0 AS pid:long, $10 AS temp:double;

filteredGas = FILTER gas BY temp > 150000;
filteredGas = FOREACH filteredGas GENERATE pid;

STORE filteredGas INTO 'q1_dbtest.00024_gas';
