%default QUARK 'quark.jar';

REGISTER $QUARK;

gas = LOAD '/dataset/cosmo50cmb.256g2bwK/cosmo50cmb.256g2bwK.00024.gas.bin' USING quark.pig.BinCosmoLoad('gas');

gas = FOREACH gas GENERATE $0 AS pid:long, $10 AS temp:double;

filteredGas = FILTER gas BY temp > 150000;
filteredGas = FOREACH filteredGas GENERATE pid;

STORE filteredGas INTO 'q1_cosmo50.00043_gas';
