%default QUARK 'quark.jar';

REGISTER $QUARK;

gas = LOAD '/dataset/cosmo25cmb.768g/cosmo25cmb.768g.00043_gas.bin' USING quark.pig.BinCosmoLoad('gas');

gas = FOREACH gas GENERATE $0 AS pid:long, $10 AS temp:double;

filteredGas = FILTER gas BY temp > 150000;
filteredGas = FOREACH filteredGas GENERATE pid;

STORE filteredGas INTO 'q1_cosmo25.00043_gas';
